## ghostscript 9.27~dfsg.4

=== debian/changelog ===
ghostscript (9.27~dfsg.4-1+dde) unstable; urgency=medium

  * fix CVE-2021-45949 CVE-2021-45944

 -- lishengyu <lishengyu@uniontech.com>  Sat, 07 May 2022 11:23:20 +0800

ghostscript (9.27~dfsg.3-1+dde) buster; urgency=medium

  * fix https://pms.uniontech.com/zentao/bug-view-77751.html
  * add libgs9-common depends fonts-droid-fallback

 -- liujianqiang <liujianqiang@uniontech.com>  Fri, 30 Apr 2021 14:40:39 +0800

ghostscript (9.27~dfsg.2-1+dde) unstable; urgency=medium

  * fix CVE-2020-16306 CVE-2020-16307 CVE-2020-16310

 -- zhouzilong <zhouzilong@uniontech.com>  Wed, 02 Sep 2020 15:57:50 +0800

ghostscript (9.27~dfsg.1-1+dde) buster; urgency=medium

  * Non-maintainer upload.
  * fix CVE-2020-16302 CVE-2020-16303 CVE-2020-16290 CVE-2020-16292 CVE-2020-14344 CVE-2020-16304 CVE-2020-16287 CVE-2020-16288 CVE-2020-16289 CVE-2020-16300 CVE-2020-16301 CVE-2020-16305 CVE-2020-16308 CVE-2020-16309 CVE-2020-17538 CVE-2020-16293 CVE-2020-16294 CVE-2020-16291 CVE-2020-16295 CVE-2020-16296 CVE-2020-16297 CVE-2020-16298

 -- zhouzilong <zhouzilong@uniontech.com>  Thu, 20 Aug 2020 15:25:07 +0800
