=== debian/control ===
--- 
+++ 
@@ -1,22 +1,24 @@
 Source: ghostscript
 Section: text
 Priority: optional
-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Build-Depends:
- autoconf,
  cdbs,
- d-shlibs,
  debhelper,
+ dh-autoreconf,
+ dh-linktree,
+ fonts-urw-base35,
  freeglut3-dev,
  libcups2-dev,
  libcupsimage2-dev,
  libexpat-dev,
  libfontconfig1-dev,
- libfreetype6-dev,
+ libfreetype-dev,
  libice-dev,
  libidn11-dev,
  libijs-dev,
- libjbig2dec0-dev (>= 0.15+20190209),
+ libjbig2dec0-dev (>= 0.16+20190905-2~),
  libjpeg-dev,
  liblcms2-dev,
  libopenjp2-7-dev,
@@ -29,7 +31,8 @@
  libxt-dev,
  libz-dev,
  pkg-config,
-Standards-Version: 4.3.0
+ rename,
+Standards-Version: 4.4.1
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
  Michael Gilbert <mgilbert@debian.org>,
@@ -44,8 +47,6 @@
 Multi-Arch: foreign
 Provides:
  postscript-viewer,
-Recommends:
- gsfonts,
 Suggests:
  ghostscript-x,
 Depends:
@@ -77,6 +78,7 @@
 Package: ghostscript-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends:
  libjs-jquery,
  ${misc:Depends},
@@ -115,7 +117,8 @@
 Architecture: all
 Depends:
  ${misc:Depends},
- fonts-droid-fallback
+Recommends:
+ fonts-droid-fallback,
 Multi-Arch: foreign
 Description: interpreter for the PostScript language and for PDF - common files
  GPL Ghostscript is used for PostScript/PDF preview and printing.
@@ -135,7 +138,6 @@
 Architecture: any
 Depends:
  libgs9 (= ${binary:Version}),
- ${devlibs:Depends},
  ${misc:Depends},
 Multi-Arch: same
 Description: interpreter for the PostScript language and for PDF - Development Files
