## ghostscript 9.52~dfsg

=== debian/changelog ===
ghostscript (9.52~dfsg-1ubuntu2) groovy; urgency=medium

  * SECURITY UPDATE: memory corruption issue via non-standard PS operator
    - debian/patches/CVE-2020-15900.patch: fix calculation in
      psi/zstring.c.
    - CVE-2020-15900

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 31 Jul 2020 14:12:38 -0400

ghostscript (9.52~dfsg-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Re-introduced exception rule for building with only -O2 instead
      of -O3 on ppc64el (see also LP: #1862053)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 29 May 2020 14:04:00 +0200

ghostscript (9.52~dfsg-1) unstable; urgency=medium

  * New upstream version 9.52~dfsg
  * watch:
    + simplify usage comment
    + use dversionmangle=auto
  * declare compliance with Debian Policy 4.5.0
  * trim trailing whitespace
  * wrap long lines in older changelog entries
  * use debhelper 10 (not 9);
    stop build-depend explicitly on dh-autoreconf
  * copyright: fix use field Comment (not unofficial Comments)

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 19 Mar 2020 15:52:14 +0100

ghostscript (9.51~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update symbols:
    + 20 private symbols added
    + 3 private symbols dropped

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 12 Mar 2020 17:57:57 +0100

ghostscript (9.51~~rc3~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * new pre-release

  [ Jonas Smedegaard ]
  * copyright:
    + fix cover 2 files in the public domain
    + fix cover 2 file licensed Adobe-2006
    + cover 2 files licensed GPL-3+ with Autoconf exception
    + cover 1 file licensed Expat
    + extend coverage for main copyright holder
  * drop patches cherry-picked upstream now applied
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 05 Mar 2020 13:32:25 +0100
