=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Build-Depends:
  cdbs,
- debhelper,
- dh-autoreconf,
+ debhelper (>= 10),
  dh-linktree,
  fonts-urw-base35,
  freeglut3-dev,
@@ -32,7 +31,7 @@
  libz-dev,
  pkg-config,
  rename,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
  Michael Gilbert <mgilbert@debian.org>,
