## ghostscript 9.53.3~dfsg

=== debian/changelog ===
ghostscript (9.53.3~dfsg-7+deb11u11) bullseye-security; urgency=medium

  * Non-maintainer upload by the Debian LTS Team.
  * Fix CVE-2025-7462, CVE-2025-59798, CVE-2025-59799

 -- Abhijith PA <abhijith@debian.org>  Fri, 10 Oct 2025 13:03:38 +0530

ghostscript (9.53.3~dfsg-7+deb11u10) bullseye-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * CVE-2025-27830: Buffer overflow via serialization of DollarBlend
  * CVE-2025-27831: Unicode decoding overrun
  * CVE-2025-27832: Integer overflow leading to buffer overflow
  * CVE-2025-27835: Confusion between bytes and shorts
  * CVE-2025-27836: Buffer overflow in bj10v device

 -- Adrian Bunk <bunk@debian.org>  Mon, 31 Mar 2025 14:13:42 +0300

ghostscript (9.53.3~dfsg-7+deb11u9) bullseye-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * CVE-2024-46951: PS interpreter unchecked pointer
  * CVE-2024-46953: output filename format string integer overflow
  * CVE-2024-46955: PS interpreter out-of-bounds
  * CVE-2024-46956: PS interpreter out-of-bounds

 -- Adrian Bunk <bunk@debian.org>  Sun, 24 Nov 2024 13:53:00 +0200

ghostscript (9.53.3~dfsg-7+deb11u8) bullseye-security; urgency=high

  * Non-maintainer upload by the LTS Security Team.
  * Apply backport of upstream fixes for CVE-2024-29508.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 22 Oct 2024 15:31:37 +0800

ghostscript (9.53.3~dfsg-7+deb11u7) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * In SAFER (default) don't allow eexec seeds other than the Type 1 standard
    (CVE-2023-52722)
  * Uniprint device - prevent string configuration changes when SAFER
    (CVE-2024-29510)
  * Bug #707691 (CVE-2024-33869)
  * Bug 707691 part 2 (CVE-2024-33869)
  * Bug #707686 (CVE-2024-33870)
  * OPVP device - prevent unsafe parameter change with SAFER (CVE-2024-33871)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 10 May 2024 14:34:11 +0200

ghostscript (9.53.3~dfsg-7+deb11u6) bullseye; urgency=medium

  * Non-maintainer upload.
  * Copy pcx buffer overrun fix from devices/gdevpcx.c (CVE-2023-38559)
    (Closes: #1043033)
  * IJS device - try and secure the IJS server startup (CVE-2023-43115)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 29 Sep 2023 14:24:57 +0200

ghostscript (9.53.3~dfsg-7+deb11u5) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Don't "reduce" %pipe% file names for permission validation
    (CVE-2023-36664)
  * Revisit fix for upstream bug 706761 (CVE-2023-36664)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 02 Jul 2023 11:54:08 +0200

ghostscript (9.53.3~dfsg-7+deb11u4) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Prevent buffer overrun in (T)BCP encoding (CVE-2023-28879)
    (Closes: #1033757)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 03 Apr 2023 19:30:02 +0200

ghostscript (9.53.3~dfsg-7+deb11u3) bullseye; urgency=medium

  * Non-maintainer upload.
  * Cherry-pick upstream patch to fix path for PostScript helper file in
    ps2epsi. Closes: #1003926, #1029541

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Wed, 25 Jan 2023 08:11:34 +0100

ghostscript (9.53.3~dfsg-7+deb11u2) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Check stack limits after function evaluation (CVE-2021-45944)
  * Fix op stack management in sampled_data_continue() (CVE-2021-45949)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 04 Jan 2022 15:09:14 +0100

ghostscript (9.53.3~dfsg-7+deb11u1) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Include device specifier strings in access validation (CVE-2021-3781)
    (Closes: #994011)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 09 Sep 2021 19:23:11 +0200

ghostscript (9.53.3~dfsg-7) unstable; urgency=medium

  * update previous changelog section, add a bug closure.
  * update source helper script copyright-check.
  * copyright: update coverage
  * add patches cherry-picked upstream:
    + re-enable support for opvp/oprp devices;
      closes: bug#980971, thanks to Chris Bainbridge
    + parse some types of broken PDFs;
      closes: bug#981583, thanks to Rogério Brito
    + fix segfault parsing large Postscript file;
      closes: bug#970878, thanks to Paul Gevers, Bernhard Übelacker,
      Iustin Pop and Stefano Rivera
  * update symbols: 4 private symbols added

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Feb 2021 14:18:01 +0100

ghostscript (9.53.3~dfsg-6) unstable; urgency=medium

  * copyright-check:
    + fix quote path when creating temporary skipfile
    + ignore skipfiles below debian/
    + compute robust file regex from content with regexp-assemble
    + list dependencies in header comment
  * add source helper tools
    patch-cherry-pick patch-mkseries patch-refresh-all
  * copyright:
    + update coverage
    + consistently wrap Files and Copyright paragraphs
      (sole exception being initial wildcard Files paragraph)
  * add patch cherry-picked upstream,
    and patch by Stefano Rivera,
    to fix endian issues with CMM;
    closes: bug#976177, thanks to Stefano Rivera
  * add patch 1003 to fix size check in gdevdsp;
    closes: bug#977754,
    thanks to Patrice Duroux, Pino Toscano, and others
  * declare compliance with Debian Policy 4.5.1
  * update git-buildpackage settings:
    + use DEP-14 git branch names
    + add usage comment
  * add patch cherry-picked upstream
    to fix linking with libfreetype 2.10.3 and newer

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Dec 2020 02:51:22 +0100

ghostscript (9.53.3~dfsg-5) unstable; urgency=medium

  * simplify build routines slightly
  * tighten source script copyright-check
  * update copyright hints
  * relax tracking of symlinks to fonts-urw-base35
    to ignore file contents;
    closes: bug#972896, thanks to Fabian Greffrath

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 26 Oct 2020 11:04:53 +0100


