=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --uscan
#
# NB! below is unusual (see "man uscan" for common Github pattern)

opts=\
dversionmangle=auto,repacksuffix=~dfsg,uversionmangle=s/\d\K(rc)/~~$1/,\
filenamemangle=s%.*?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1% \
https://github.com/ArtifexSoftware/ghostpdl-downloads/releases \
.*?ghostpdl@ANY_VERSION@@ARCHIVE_EXT@
