## ghostscript 9.54.0~dfsg1

=== debian/changelog ===
ghostscript (9.54.0~dfsg1-0ubuntu2) impish; urgency=medium

  * SECURITY UPDATE: Trivial -dSAFER bypass
    - debian/patches/CVE-2021-3781.patch: include device specifier strings
      in access validation in base/gdevpipe.c, base/gp_mshdl.c,
      base/gp_msprn.c, base/gp_os2pr.c, base/gslibctx.c.
    - CVE-2021-3781

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 10 Sep 2021 07:59:00 -0400

ghostscript (9.54.0~dfsg1-0ubuntu1) impish; urgency=medium

  * New re-packaging of Ghostscript 9.54.0, keeping the leptonica and
    tesseract convenience copies in as they are not in Ubuntu Main. Added
    appropriate remark to debian/copyright.
  * De-activated the extract library/"docxwrite" device. This did not
    build and Debian also seems to not use it. Used the --without-extract-dir
    option on ./configure for that.
  * "Downgrade" dh_missing from --fail-missing to --list-missing to
    avoid FTBFS on non-amd64 from compat 13 on
  * Updated debian/libgs9.symbols.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 19 Aug 2021 11:54:46 +0200

ghostscript (9.54.0~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * new release

  * update copyright info:
    + exclude comvenience copies
      of projects libextract, leptonica, and tesseract
    + update coverage
    + update source helper tool copyright-check:
      implement option --merge-licenses
  * drop patches cherry-picked upstream since applied
  * unfuzz patches
  * add patches cherry-picked upstream:
    + improve description of configure.ac option --with-extract-dir
    + fix magic number used in pam device
    + fix MacOS/tesseract build problems on Unix systems
    + work with latest Extract library
    + bounds check name table "string"
    + add some relevant flags to the cups compilation
    + do not lie about emitting Multiple Master fonts in psfwrite
    + add a PassThrough for JPX encoded images to pdfwrite
    + fix missing interior of rectangles (regression in 9.54.0)
    + tweak Leptonica/Tesseract memory allocators
  * add patch 1004 to enable DeviceN-related device xcfcmyk
  * use debhelper compatibility level 13 (not 12)

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 18 Jul 2021 15:07:19 +0200
