=== debian/control ===
--- 
+++ 
@@ -3,21 +3,23 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
+Uploaders:
+ Jonas Smedegaard <dr@jones.dk>,
 Build-Depends:
- cdbs,
- debhelper (>= 10),
+ debhelper-compat (= 13),
  dh-linktree,
  fonts-urw-base35,
  freeglut3-dev,
- libcups2-dev,
- libcupsimage2-dev,
+ libarchive-dev,
+ libcups2-dev [!kfreebsd-any],
+ libcupsimage2-dev [!kfreebsd-any],
  libexpat-dev,
  libfontconfig1-dev,
  libfreetype-dev,
  libice-dev,
  libidn11-dev,
  libijs-dev,
- libjbig2dec0-dev (>= 0.16+20190905-2~),
+ libjbig2dec0-dev (>= 0.19),
  libjpeg-dev,
  liblcms2-dev,
  libopenjp2-7-dev,
@@ -28,14 +30,10 @@
  libx11-dev,
  libxext-dev,
  libxt-dev,
- libz-dev,
+ zlib1g-dev:native,
  pkg-config,
  rename,
-Standards-Version: 4.5.0
-Uploaders:
- Jonas Smedegaard <dr@jones.dk>,
- Michael Gilbert <mgilbert@debian.org>,
- Bastien ROUCARIÈS <roucaries.bastien+debian@gmail.com>,
+Standards-Version: 4.5.1
 Homepage: https://www.ghostscript.com/
 Vcs-Git: https://salsa.debian.org/printing-team/ghostscript.git
 Vcs-Browser: https://salsa.debian.org/printing-team/ghostscript
@@ -44,14 +42,14 @@
 Package: ghostscript
 Architecture: any
 Multi-Arch: foreign
-Provides:
- postscript-viewer,
-Suggests:
- ghostscript-x,
 Depends:
  libgs9 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
+Suggests:
+ ghostscript-x,
+Provides:
+ postscript-viewer,
 Description: interpreter for the PostScript language and for PDF
  GPL Ghostscript is used for PostScript/PDF preview and printing.
  Usually as a back-end to a program such as ghostview, it can display
@@ -147,18 +145,3 @@
  This package provides the development files for the GPL Ghostscript
  library which makes the facilities of GPL Ghostscript available to
  applications.
-
-Package: ghostscript-dbg
-Architecture: any
-Section: debug
-Depends:
- libgs9 (= ${binary:Version}) | ghostscript (= ${binary:Version}) | ghostscript-x (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
-Description: interpreter for the PostScript language and for PDF - Debug symbols
- GPL Ghostscript is used for PostScript/PDF preview and printing.
- Usually as a back-end to a program such as ghostview, it can display
- PostScript and PDF documents in an X11 environment.
- .
- This package contains the debugging symbols for ghostscript,
- ghostscript-x, and libgs9.
