=== debian/rules ===
--- 
+++ 
@@ -63,6 +63,7 @@
 		--with-x --disable-gtk \
 		--enable-dynamic \
 		--disable-compile-inits \
+		--without-extract-dir \
 		--with-fontpath=$(subst $() ,:,$(strip $(fontdirs)))
 
 override_dh_auto_build:
@@ -123,3 +124,11 @@
 override_dh_makeshlibs:
 	dh_makeshlibs --package=$(pkg-x11) -n
 	dh_makeshlibs --no-package=$(pkg-x11)
+
+# Do not fail on installed files not assigned to a binary package, as on the
+# architectures which do not build libgs9-common on the build servers the
+# files of this binary package remain unassigned, leading to failure of
+# dh_missing from compat 13 on. So downgrade to compat 12's --list-missing
+# here.
+override_dh_missing:
+	dh_missing -a -O--no-parallel --list-missing
